provider "abc" {
    version = "~> 0.0"

    name = "localhost"
}



data "abc_xyz" "resource1" {
    name = "xyz-resource1"
}

data "abc_xyz" "resource2" {
    name = "xyz-resource2"

    x_lifecycle {
        ignore_error_if_not_exists = true
    }
}



resource "abc_xyz" "resource3" {
    name   = "xyz-resource3"
    status = "open"
}

resource "abc_xyz" "resource4" {
    name   = "xyz-resource4"
    status = "open"

    x_lifecycle {
        import_if_exists    = true
        # destroy_if_imported = true
    }
}
